<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.bq.mapper.BqSpMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="bqSpResultMap" type="org.springblade.modules.bq.pojo.entity.BqSpEntity">
        <result column="bq_id" property="bqId"/>
        <result column="splx" property="splx"/>
        <result column="spjg" property="spjg"/>
    </resultMap>

    <select id="selectBqSpPage" resultMap="bqSpResultMap">
        select * from bq_sp where is_deleted = 0
    </select>

    <select id="exportBqSp" resultType="org.springblade.modules.bq.excel.BqSpExcel">
        SELECT * FROM bq_sp ${ew.customSqlSegment}
    </select>

</mapper>
